=== debian/changelog ===
ros-indigo-cob-cartesian-controller (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.15-0trusty) trusty; urgency=high

  * cleanup leftovers
  * use xacro --inorder
  * remove inline keywords
  * manually fix changelog
  * optimize output
  * clear preview
  * remove obsolete script
  * add install tags
  * fix and harmonize scripts
  * broadcast target_frame before tracking
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.14-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.13-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.12-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.11-0trusty) trusty; urgency=high

  * remove lwa4d test scripts
  * use ros::Time::now
  * use const in function parameters
  * remove movePTP
  * minor styling
  * remove unused Pose parameter
  * significantly simplify function parameters for getTrajectory and getProfileTimings
  * re-order vel-acc
  * get rid of ProfileTimings.ok
  * move identical functions to base class
  * harmonizing
  * remove obsolete calcTe_
  * minor styling
  * roslint cob_cartesian_controller
  * towards code styling consistency
  * adjust descriptions ins license plate
  * adjust description
  * Final version
  * Almost finalized version
  * Implemented move_circ
  * remove obsolete files
  * adjust service type in cartesian controller
  * LWA4D test scripts
  * New quaternion interpolation
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * Bug fixes + code reduction
  * apply change in parameter name
  * code reduction part 2.
  * forgot the cpp files
  * added new headers
  * Code reduction part 1.. there's still a bug in ramp profiles.
  * Fixed a bug in sort algorithm and profile interpolation
  * new example script
  * restructured, introducing base class for profile generator
  * renaming: hardware_interface to controller_interface
  * update trajectory_hardware_interface
  * handle base_compensation in kinematic_extension enum
  * implement JointTrajectory hardware_interface for twist_controller
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.9-0trusty) trusty; urgency=high

  * Corrections integrated from PR: [WIP] Finalizing/Testing of TwistController features (#51 <https://github.com/ipa-fxm/cob_control/issues/51>). Renaming from frame_to_collision to link_to_collision.
  * boost revision
  * more dependency fixes according to review comments
  * Resolved merge conflicts.
  * more fixes for migration afer merge
  * merge with package_xml_2
  * remove trailing whitespaces
  * migrate to package format 2
  * 
    
      * Removed unnecessary function.
      * Prepared configuration params.
    
  * resolve possible endless-loop
  * consider PR review comments
  * review dependencies
  * updates from ipa-fxm-mb
  * updates from ipa320
  * Implemented Python package to set dyn_reconfigure params. Made test_move_around_torus use of this class.
  * missing add_dependencies
  * sort dependencies
  * review dependencies
  * print result, use sci in test scripts
  * Created test, Removed commends, Removed output.
  * Fixed bugs in cartesian_controller: waitFor last available transform else extrapolation error; send always a new constructed StampedTransform instead of using an already existent one, else end-effector is decoupled from manipulator and other confusing things happen...; Added responsible node to tf error msg.
  * fix cartesian_interface
  * first draft for python interface
  * re-work message structure use pose and frame_id, proper handling transformation to root_frame
  * added publisher for path preview
  * split and restructure ProfileGenerator
  * simplify data_type conversion, cleanup
  * re-work of ActionServer: more failure handling
  * draft for example
  * replace .prog files with according .py scripts, use rospy.sleep() instead of holdPosition action
  * get rid of holdPosition, replaced by rospy.sleep()
  * restructure and simplify cartesian_controller_utils, beautification
  * Further tests and adaptations for test.
  * Made cob_cartesian_controller work again: Added CartesianController::convertMoveLinRelToAbs method again (why removed?)
  * Added generated const from .cfg; Styling
  * Merge with code style fixes.
  * code styling cob_cartesian_controller
  * renamed variable
  * restructured cartesian controller with action interface
  * added action server
  * fix install tags
  * restructured functions
  * added headers..
  * restructured
  * Contributors: ipa-fxm, ipa-fxm-cm, ipa-fxm-mb

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-cartesian-controller (0.6.8-0trusty) trusty; urgency=high

  * merge with release candidate
  * package renaming: cob_path_broadcaster -> cob_cartesian_controller
  * Contributors: ipa-fxm


