=== debian/control ===
Source: ros-indigo-cob-cartesian-controller
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-cartesian-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cob-frame-tracker, ros-indigo-cob-srvs, ros-indigo-cob-twist-controller, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-robot-state-publisher, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-topic-tools, ros-indigo-visualization-msgs, ros-indigo-xacro
Description: This package provides nodes that broadcast tf-frames along various (model-based) Cartesian paths (e.g.
 Linear, Circular). The tf-frames are interpolated using a given velocity profile (e.g. Ramp, Sinoid) and can be used as targets for the cob_frame_tracker/cob_twist_controller.
